tt_xcontext_quit(library call)

NAME
tt_xcontext_quit — remove an XDR-interpreted byte-array value from the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_xcontext_quit(
const char *slotname,
xdrproc_t xdr_proc,
void *value);

DESCRIPTION

The tt_xcontext_quit function removes the given XDR-interpreted byte-array value from the list of values for the contexts of all patterns.

The slotname argument describes the slotname in this message. The xdr_proc argument points to the XDR procedure to be used to serialize the data pointed to by value.

The value argument is the data to be serialized.

RETURN VALUE

Upon successful completion, the tt_xcontext_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

TT_ERR_XDR
    The XDR procedure failed on the given data, or evaluated to a zero-length expression.

SEE ALSO

Tt/tt_c.h - Tttt_c(5)